Package org.eclipse.core.databinding.observable.list

## Interface IListChangeListener<E>

Type Parameters:
  `E` - the type of elements in this collection

All Superinterfaces:
  `IObservablesListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface IListChangeListener<E>
    extends IObservablesListener

Listener for changes to observable lists.

Since:
  1.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleListChange​(ListChangeEvent<? extends E> event)` Handle a change to an observable list.

### Method Detail

#### handleListChange

    void handleListChange​(ListChangeEvent<? extends E> event)

Handle a change to an observable list. The change is described by the diff object. The given event object must only be used locally in this method because it may be reused for other change notifications. The diff object referenced by the event is immutable and may be used non-locally.

Parameters:
  `event` -